public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Console_Table/files/, dev-php/PEAR-Console_Table/
@ 2024-06-11 15:56 Michael Orlitzky
  0 siblings, 0 replies; only message in thread
From: Michael Orlitzky @ 2024-06-11 15:56 UTC (permalink / raw
  To: gentoo-commits

commit:     fff161c635ada6f1323ede843f935e661e579c2d
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 11 15:51:07 2024 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Jun 11 15:52:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fff161c6

dev-php/PEAR-Console_Table: update EAPI 7 -> 8

Closes: https://bugs.gentoo.org/774816
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 .../PEAR-Console_Table-1.3.1-r1.ebuild             | 26 ++++++++++++++++++++++
 .../files/fromArray-is-static.patch                | 22 ++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-php/PEAR-Console_Table/PEAR-Console_Table-1.3.1-r1.ebuild b/dev-php/PEAR-Console_Table/PEAR-Console_Table-1.3.1-r1.ebuild
new file mode 100644
index 000000000000..2e39a052a20f
--- /dev/null
+++ b/dev-php/PEAR-Console_Table/PEAR-Console_Table-1.3.1-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit php-pear-r2
+
+DESCRIPTION="Class that makes it easy to build console style tables"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+BDEPEND="test? ( dev-php/pear )"
+
+PATCHES=( "${FILESDIR}/fromArray-is-static.patch" )
+
+src_install() {
+	insinto /usr/share/php/Console
+	doins Table.php
+	php-pear-r2_install_packagexml
+}
+
+src_test() {
+	pear run-tests tests || die "Tests failed"
+}

diff --git a/dev-php/PEAR-Console_Table/files/fromArray-is-static.patch b/dev-php/PEAR-Console_Table/files/fromArray-is-static.patch
new file mode 100644
index 000000000000..8b068d8f2668
--- /dev/null
+++ b/dev-php/PEAR-Console_Table/files/fromArray-is-static.patch
@@ -0,0 +1,22 @@
+From 4eea320592cc1766b8f679df22c3431a93a74d7e Mon Sep 17 00:00:00 2001
+From: Remi Collet <remi@remirepo.net>
+Date: Thu, 1 Apr 2021 10:37:33 +0200
+Subject: [PATCH] fromArray is static
+
+---
+ Table.php | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Table.php b/Table.php
+index dbfec73..139433b 100755
+--- a/Table.php
++++ b/Table.php
+@@ -223,7 +223,7 @@ function __construct($align = CONSOLE_TABLE_ALIGN_LEFT,
+      * @return Console_Table|string  A Console_Table object or the generated
+      *                               table.
+      */
+-    function fromArray($headers, $data, $returnObject = false)
++    static function fromArray($headers, $data, $returnObject = false)
+     {
+         if (!is_array($headers) || !is_array($data)) {
+             return false;


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2024-06-11 15:56 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-11 15:56 [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Console_Table/files/, dev-php/PEAR-Console_Table/ Michael Orlitzky

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox